Subject: Re: bug#23388: [PATCH] size option may want to reject "bB" or "biB" suffix

From: Paul Eggert <[email-masked]>
Date: Wed, 27 Apr 2016 12:12:03 -0700

On 04/27/2016 09:29 AM, Young Mo Kang wrote:
> different programs within coreutils accept different
> size suffixes. For example, split's valid suffix is "bEGKkMmPTYZ0" while
> shred's is "cbBkKMGTPEZY0". I thought maybe it is better to unify valid
> suffix for all the programs within coreutils.

The intent, as I recall, was to prefer a standard set of suffixes listed 
in the "Block size" section of the Coreutils manual. Some programs 
accept additional suffixes for historical reasons but we'd rather not 
encourage the use of these obsolescent usages.

Thanks for reporting the glitch. I installed the attached patch into Gnulib.